include <./common/common.scad>;

Font = "Liberation Sans";
Diameter = 33.5;
Height = 5;
Thickness = 2;
Make = "Test";
Size = "16mm";
$fn = 200;

module label (pos = [0, 0, 0]) {
    translate(pos) rotate([180, 0, 0]) {
        translate([0, 4, 0]) linear_extrude(height = 1) {
            text(Make, size = 4, font = Font, halign = "center", valign = "center", $fn = 16);
        }
        translate([0, -4, 0]) linear_extrude(height = 1) {
            text(Size, size = 5, font = Font, halign = "center", valign = "center", $fn = 16);
        }
    }
}

module front_cap () {
	difference () {
		cylinder(r = R(Diameter) + Thickness, h = Height + Thickness);
		translate([0, 0, Thickness]) cylinder(r = R(Diameter), h = Height + Thickness);
        //
        translate([0, 0, -1]) difference () {
            cylinder(r = R(Diameter) + Thickness + 2, h = 2);
            cylinder(r1 = R(Diameter) + Thickness - 2, r2 = R(Diameter) + Thickness, h = 2);
        }
        label([0, 0, 0.25]);
	}
}

front_cap();
